/*
 * $Id: ComponentConstants.java 503719 2007-02-05 15:23:04Z apetrelli $
 *
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */

package org.apache.tiles.taglib;

/**
 * Constants used by Tiles/Components.
 *
 * @version $Rev: 503719 $ $Date: 2007-02-05 10:23:04 -0500 (Mon, 05 Feb 2007) $
 */
public interface ComponentConstants {

    /**
     * Name used to store Tile/Component context.
     */
    public static final String COMPONENT_CONTEXT_STACK = "org.apache.tiles.ComponentContext.STACK";

    public static final int COMPONENT_SCOPE = 8;
    public static final String LOCALE_KEY = "org.apache.tiles.LOCALE";
    public static final String EXCEPTION_KEY = "org.apache.tiles.EXCEPTION";

}
